"""
EnMAP-Box Workshop 2021
Benjamin Jakimow

How to use the QGIS API from python
"""
from qgis.testing import start_app
from qgis.core import QgsApplication

print(QgsApplication.instance())

# create a QgsApplication instance
start_app()
app = QgsApplication.instance()
print(app)
print(app.libraryPath())


if False:
    # init selected processing providers
    from qgis.analysis import QgsNativeAlgorithms
    QgsApplication.processingRegistry().addProvider(QgsNativeAlgorithms())

if True:
    from processing.core.Processing import Processing
    Processing.initialize()

for a in QgsApplication.processingRegistry().algorithms():
    print(a.id())

print(f'\nRegistered processing algorithms: {len(QgsApplication.processingRegistry().algorithms())} in total')



